NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::GlobalShapingBuilder Class Reference

Represents a NXOpen::Features::GlobalShaping builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateGlobalShapingBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::GlobalShapingBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  BodyMethod { BodyMethodSolid, BodyMethodSheet }
 Represents the body method type. More...
 
enum  DeformationTypeValues {
  DeformationTypeValuesToPoint, DeformationTypeValuesToCurves, DeformationTypeValuesOpenRegion, DeformationTypeValuesWallDeformation,
  DeformationTypeValuesOverbend, DeformationTypeValuesMatchToSheet, DeformationTypeValuesStretchToPoint, DeformationTypeValuesStretchToCurve,
  DeformationTypeValuesRadiusReduction, DeformationTypeValuesBySurface, DeformationTypeValuesByCurve, DeformationTypeValuesUnknown
}
 Represents the deformation type. More...
 
enum  DeformBodyType { DeformBodyTypeSheetBodies, DeformBodyTypeFacetBodies }
 Represent sheet deformation type. More...
 
enum  DirectionMethodType {
  DirectionMethodTypeSameAsProjection, DirectionMethodTypeNormalToSheet, DirectionMethodTypeNormalToBase, DirectionMethodTypeNormalToControl,
  DirectionMethodTypeSpecifiedDirection, DirectionMethodTypeNone
}
 Represents the direction method type. More...
 
enum  ModifyMethodType { ModifyMethodTypeStretch, ModifyMethodTypeOvercrown }
 Represent surface modify method. More...
 
enum  OffsetMethod { OffsetMethodConstant, OffsetMethodLawControlled, OffsetMethodCurveDefined }
 Represents the offset method type. More...
 
enum  PointMethodType { PointMethodTypeOffsetFromSheet, PointMethodTypePointDefined }
 Represents the point method type. More...
 
enum  RadiusType { RadiusTypeQuintic, RadiusTypeRadius }
 Represents radius options used. More...
 
enum  RotationMethod { RotationMethodConstant, RotationMethodLawControlled, RotationMethodCurveDefined }
 Represents the rotation method type. More...
 
enum  RotationMethodType { RotationMethodTypeAngle, RotationMethodTypeDistance }
 Represents the rotation type. More...
 
enum  TargetCurveOrientationType { TargetCurveOrientationTypeParallel, TargetCurveOrientationTypePerpendicular }
 Represents the orientation of the target curve(s) to the limit curves. More...
 
enum  TransitionType { TransitionTypeFunction1, TransitionTypeFunction2, TransitionTypeLaw, TransitionTypeG2 }
 Represents the transition method type. More...
 

Public Member Functions

double AngleTolerance ()
 Returns the angle tolerance
Created in NX5.0.0. More...
 
NXOpen::SelectNXObjectListAssociatedObjects ()
 Returns the objects to transform with the deformation
Created in NX7.5.0. More...
 
NXOpen::SectionBaseCurve ()
 Returns the base curve
Created in NX8.5.0. More...
 
NXOpen::SelectNXObjectBaseSheetSelection ()
 Returns the base face selection
Created in NX8.5.0. More...
 
NXOpen::SectionBendCurve ()
 Returns the bend curve
Created in NX5.0.0. More...
 
NXOpen::SectionControlCurve ()
 Returns the curve control
Created in NX8.5.0. More...
 
NXOpen::SelectNXObjectControlSheetSelection ()
 Returns the control face selection
Created in NX8.5.0. More...
 
NXOpen::Features::GlobalShapingBuilder::DirectionMethodType DeformationDirectionMethod ()
 Returns the deformation direction method
Created in NX5.0.0. More...
 
bool DeformationDirectionReverse ()
 Returns the deformation direction reverse
Created in NX5.0.0. More...
 
NXOpen::DirectionDeformationDirectionVector ()
 Returns the deformation direction vector
Created in NX8.5.0. More...
 
NXOpen::Features::GlobalShapingBuilder::DeformationTypeValues DeformationType ()
 Returns the deformation type
Created in NX5.0.0. More...
 
double DistanceTolerance ()
 Returns the distance tolerance
Created in NX5.0.0. More...
 
void EnableMovePole (bool enable)
 Enable move pole
Created in NX8.5.0. More...
 
NXOpen::SelectDisplayableObjectListFacetToDeform ()
 Returns the facet to deform
Created in NX8.5.0. More...
 
NXOpen::GeometricUtilities::FeatureOptionsFeatureOptions ()
 Returns the feature options
Created in NX5.0.0. More...
 
NXOpen::SectionFirstRegionLimitCurve ()
 Returns the first region limit curve
Created in NX5.0.0. More...
 
NXOpen::GeometricUtilities::LawBuilderFirstRegionLimitCurveOffsetLaw ()
 Returns the region to deform offset law
Created in NX5.0.0. More...
 
NXOpen::ScCollectorFirstRegionOffsetCurve ()
 Returns the first region offset curve
Created in NX5.0.0. More...
 
NXOpen::ScCollectorFirstTargetCurve ()
 Returns the first target curve
Created in NX5.0.0. More...
 
NXOpen::ExpressionFirstTargetCurveOffset ()
 Returns the first target curve offset
Created in NX5.0.0. More...
 
bool FlipBaseNormalDirection ()
 Returns the flip base normal direction
Created in NX8.5.0. More...
 
bool FlipBaseUDirection ()
 Returns the flip base udirection
Created in NX8.5.0. More...
 
bool FlipBaseVDirection ()
 Returns the flip base vdirection
Created in NX8.5.0. More...
 
bool FlipControlNormalDirection ()
 Returns the flip control normal direction
Created in NX8.5.0. More...
 
bool FlipControlUDirection ()
 Returns the flip control udirection
Created in NX8.5.0. More...
 
bool FlipControlVDirection ()
 Returns the flip control vdirection
Created in NX8.5.0. More...
 
int IterationCount ()
 Returns the maximum iterations count used for approximating the deformed sheet. More...
 
bool KeepBaseLength ()
 Returns the equal arc length toggle
Created in NX8.5.0. More...
 
bool ModifyInputSheet ()
 Returns the modify input sheet
Created in NX5.0.0. More...
 
NXOpen::Features::GlobalShapingBuilder::ModifyMethodType ModifyMethod ()
 Returns the modify method
Created in NX8.5.0. More...
 
NXOpen::GeometricUtilities::MovePoleBuilderMovePole ()
 Returns the move pole
Created in NX8.5.0. More...
 
NXOpen::Features::GlobalShapingCurveOffsetBuilderNewTargetCurve ()
 Create a new target curve. More...
 
NXOpen::Features::GlobalShapingPointOffsetBuilderNewTargetPoint ()
 Create a new target point. More...
 
NXOpen::DirectionProjectionDirection ()
 Returns the projection direction
Created in NX5.0.0. More...
 
NXOpen::Features::GlobalShapingBuilder::RadiusType RadiusOptions ()
 Returns the radius options
Created in NX5.0.0. More...
 
NXOpen::ExpressionRadiusReductionPercent ()
 Returns the radius reduction percent
Created in NX7.0.0. More...
 
NXOpen::ScCollectorRegionEdgeCurve ()
 Returns the region edge curve
Created in NX5.0.0. More...
 
NXOpen::SectionRegionLimitCurve ()
 Returns the region limit curve
Created in NX5.0.0. More...
 
NXOpen::SectionRegionToDeform ()
 Returns the region to deform
Created in NX5.0.0. More...
 
NXOpen::ExpressionRegionToDeformOffset ()
 Returns the region boundary offset
Created in NX5.0.0. More...
 
NXOpen::ExpressionRotationAngle ()
 Returns the rotation angle value
Created in NX5.0.0. More...
 
NXOpen::GeometricUtilities::LawBuilderRotationAngleLaw ()
 Returns the rotation angle law
Created in NX5.0.0. More...
 
bool RotationAngleReverseDirection ()
 Returns the rotation angle reverse direction
Created in NX5.0.0. More...
 
NXOpen::Features::GlobalShapingBuilder::RotationMethod RotationAngleType ()
 Returns the rotation angle type
Created in NX5.0.0. More...
 
NXOpen::ExpressionRotationDistance ()
 Returns the rotation distance value
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::LawBuilderRotationDistanceLaw ()
 Returns the rotation distance law
Created in NX5.0.0. More...
 
NXOpen::SectionRotationTargetCurve ()
 Returns the rotation target curve
Created in NX6.0.0. More...
 
NXOpen::Features::GlobalShapingBuilder::RotationMethodType RotationType ()
 Returns the rotation type
Created in NX6.0.0. More...
 
NXOpen::SectionSecondRegionLimitCurve ()
 Returns the second region limit curve
Created in NX5.0.0. More...
 
NXOpen::GeometricUtilities::LawBuilderSecondRegionLimitCurveOffsetLaw ()
 Returns the second region limit curve offset law
Created in NX5.0.0. More...
 
NXOpen::ScCollectorSecondRegionOffsetCurve ()
 Returns the second region offset curve
Created in NX5.0.0. More...
 
NXOpen::ScCollectorSecondTargetCurve ()
 Returns the second target curve
Created in NX5.0.0. More...
 
NXOpen::ExpressionSecondTargetCurveOffset ()
 Returns the second target curve offset
Created in NX5.0.0. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the angle tolerance
Created in NX5.0.0. More...
 
void SetBaseSheet (NXOpen::Body *baseSheet)
 Base sheet
Created in NX8.5.0. More...
 
void SetControlSheet (NXOpen::Body *controlSheet)
 Control sheet
Created in NX8.5.0. More...
 
void SetDeformationDirectionMethod (NXOpen::Features::GlobalShapingBuilder::DirectionMethodType deformationDirectionMethod)
 Sets the deformation direction method
Created in NX5.0.0. More...
 
void SetDeformationDirectionReverse (bool deformationDirectionReverse)
 Sets the deformation direction reverse
Created in NX5.0.0. More...
 
void SetDeformationDirectionVector (NXOpen::Direction *deformationDirection)
 Sets the deformation direction vector
Created in NX8.5.0. More...
 
void SetDeformationType (NXOpen::Features::GlobalShapingBuilder::DeformationTypeValues deformationType)
 Sets the deformation type
Created in NX5.0.0. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance
Created in NX5.0.0. More...
 
void SetFlipBaseNormalDirection (bool flipBaseNormalDirection)
 Sets the flip base normal direction
Created in NX8.5.0. More...
 
void SetFlipBaseUDirection (bool flipBaseUDirection)
 Sets the flip base udirection
Created in NX8.5.0. More...
 
void SetFlipBaseVDirection (bool flipBaseVDirection)
 Sets the flip base vdirection
Created in NX8.5.0. More...
 
void SetFlipControlNormalDirection (bool flipControlNormalDirection)
 Sets the flip control normal direction
Created in NX8.5.0. More...
 
void SetFlipControlUDirection (bool flipControlUDirection)
 Sets the flip control udirection
Created in NX8.5.0. More...
 
void SetFlipControlVDirection (bool flipControlVDirection)
 Sets the flip control vdirection
Created in NX8.5.0. More...
 
void SetIterationCount (int iterationCount)
 Sets the maximum iterations count used for approximating the deformed sheet. More...
 
void SetKeepBaseLength (bool keepBaseLength)
 Sets the equal arc length toggle
Created in NX8.5.0. More...
 
void SetModifyInputSheet (bool modifyInputSheet)
 Sets the modify input sheet
Created in NX5.0.0. More...
 
void SetModifyMethod (NXOpen::Features::GlobalShapingBuilder::ModifyMethodType modifyMethod)
 Sets the modify method
Created in NX8.5.0. More...
 
void SetProjectionDirection (NXOpen::Direction *projectionDirection)
 Sets the projection direction
Created in NX5.0.0. More...
 
void SetRadiusOptions (NXOpen::Features::GlobalShapingBuilder::RadiusType radiusOptions)
 Sets the radius options
Created in NX5.0.0. More...
 
void SetRegionToDeform (NXOpen::Section *regionToDeform)
 Sets the region to deform
Created in NX5.0.0. More...
 
void SetRotationAngleReverseDirection (bool rotationAngleReverseDirection)
 Sets the rotation angle reverse direction
Created in NX5.0.0. More...
 
void SetRotationAngleType (NXOpen::Features::GlobalShapingBuilder::RotationMethod rotationAngleType)
 Sets the rotation angle type
Created in NX5.0.0. More...
 
void SetRotationType (NXOpen::Features::GlobalShapingBuilder::RotationMethodType rotationType)
 Sets the rotation type
Created in NX6.0.0. More...
 
void SetSheetToDeform (NXOpen::ScCollector *sheetToDeform)
 Sets the sheet to deform
Created in NX5.0.0. More...
 
void SetStretchDirection (NXOpen::Direction *stretchDirection)
 Sets the stretch direction
Created in NX5.0.0. More...
 
void SetTargetCurveOffsetType (NXOpen::Features::GlobalShapingBuilder::OffsetMethod targetCurveOffsetType)
 Sets the target curve offset type
Created in NX5.0.0. More...
 
void SetTargetCurveOrientation (NXOpen::Features::GlobalShapingBuilder::TargetCurveOrientationType orientation)
 Sets the orientation of the target curve to the limit curves. More...
 
void SetTargetPoint (NXOpen::Point *targetPoint)
 Sets the target point
Created in NX5.0.0. More...
 
void SetTargetPointMethod (NXOpen::Features::GlobalShapingBuilder::PointMethodType targetPointMethod)
 Sets the target point method
Created in NX5.0.0. More...
 
void SetTransitionOptions (NXOpen::Features::GlobalShapingBuilder::TransitionType transitionOptions)
 Sets the transition options
Created in NX5.0.0. More...
 
void SetTransitionShapeControl (double transitionShapeControl)
 Sets the transition shape control
Created in NX5.0.0. More...
 
void SetTwistAngleReverseDirection (bool twistAngleReverseDirection)
 Sets the twist angle reverse direction
Created in NX8.5.0. More...
 
NXOpen::ScCollectorSheetToDeform ()
 Returns the sheet to deform
Created in NX5.0.0. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderStartLocation ()
 Returns the start location of control curve
Created in NX8.5.0. More...
 
NXOpen::DirectionStretchDirection ()
 Returns the stretch direction
Created in NX5.0.0. More...
 
NXOpen::ExpressionTaperEnd ()
 Returns the taper end. More...
 
NXOpen::ExpressionTaperStart ()
 Returns the taper start. More...
 
NXOpen::SectionTargetCurve ()
 Returns the target curve
Created in NX5.0.0. More...
 
NXOpen::ExpressionTargetCurveOffset ()
 Returns the target curve offset
Created in NX5.0.0. More...
 
NXOpen::GeometricUtilities::LawBuilderTargetCurveOffsetLaw ()
 Returns the target curve offset law
Created in NX5.0.0. More...
 
NXOpen::Features::GlobalShapingBuilder::OffsetMethod TargetCurveOffsetType ()
 Returns the target curve offset type
Created in NX5.0.0. More...
 
NXOpen::Features::GlobalShapingBuilder::TargetCurveOrientationType TargetCurveOrientation ()
 Returns the orientation of the target curve to the limit curves. More...
 
NXOpen::Features::GlobalShapingCurveOffsetBuilderListTargetCurvesList ()
 Returns the target curves list
Created in NX7.5.0. More...
 
NXOpen::PointTargetPoint ()
 Returns the target point
Created in NX5.0.0. More...
 
NXOpen::Features::GlobalShapingBuilder::PointMethodType TargetPointMethod ()
 Returns the target point method
Created in NX5.0.0. More...
 
NXOpen::ExpressionTargetPointOffset ()
 Returns the target point offset
Created in NX5.0.0. More...
 
NXOpen::Features::GlobalShapingPointOffsetBuilderListTargetPointsList ()
 Returns the target points list
Created in NX7.5.0. More...
 
NXOpen::ScCollectorTargetSheet ()
 Returns the target sheet
Created in NX5.0.0. More...
 
NXOpen::GeometricUtilities::LawBuilderTransitionLaw ()
 Returns the transition law
Created in NX5.0.0. More...
 
NXOpen::Features::GlobalShapingBuilder::TransitionType TransitionOptions ()
 Returns the transition options
Created in NX5.0.0. More...
 
double TransitionShapeControl ()
 Returns the transition shape control
Created in NX5.0.0. More...
 
NXOpen::GeometricUtilities::LawBuilderTwistAngleLaw ()
 Returns the twist angle law
Created in NX8.5.0. More...
 
bool TwistAngleReverseDirection ()
 Returns the twist angle reverse direction
Created in NX8.5.0. More...
 
void UpdateDeformSheetType ()
 Enable move pole
Created in NX8.5.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::GlobalShaping builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateGlobalShapingBuilder
Default values.

Property Value

FirstRegionLimitCurveOffsetLaw.Function

ft

FirstRegionLimitCurveOffsetLaw.LawType

Constant

FirstRegionLimitCurveOffsetLaw.Parameter

t

ModifyMethod

Stretch

MovePole.DegreesAndPatches.Degree

3

MovePole.DegreesAndPatches.SegmentsOrPatches

1

MovePole.DegreesAndPatches.UDegree

5

MovePole.DegreesAndPatches.UPatches

1

MovePole.DegreesAndPatches.VDegree

5

MovePole.DegreesAndPatches.VPatches

1

MovePole.MoveMethod

View

MovePole.WCSDirection

X


Created in NX5.0.0.

Member Enumeration Documentation

Represents the body method type.

Enumerator
BodyMethodSolid 

Output solid.

BodyMethodSheet 

Output sheet.

Represents the deformation type.

Enumerator
DeformationTypeValuesToPoint 

To point.

DeformationTypeValuesToCurves 

To curves.

DeformationTypeValuesOpenRegion 

Open region.

DeformationTypeValuesWallDeformation 

Wall deformation.

DeformationTypeValuesOverbend 

Overbend.

DeformationTypeValuesMatchToSheet 

Match to sheet.

DeformationTypeValuesStretchToPoint 

Stretch to point.

DeformationTypeValuesStretchToCurve 

Stretch to curve.

DeformationTypeValuesRadiusReduction 

Radius Reduction.

DeformationTypeValuesBySurface 

(9) Old By surface method

DeformationTypeValuesByCurve 

(10)Bend/Twist by curves

DeformationTypeValuesUnknown 

Unknown deformation.

Represent sheet deformation type.

Enumerator
DeformBodyTypeSheetBodies 

Sheet bodies.

DeformBodyTypeFacetBodies 

Facet bodies.

Represents the direction method type.

Enumerator
DirectionMethodTypeSameAsProjection 

Overcrown is same as projection direction.

DirectionMethodTypeNormalToSheet 

Overcrown is normal to sheet.

DirectionMethodTypeNormalToBase 

Overcrown is normal to base surface.

DirectionMethodTypeNormalToControl 

Overcrown is normal to control surface.

DirectionMethodTypeSpecifiedDirection 

Overcrown is user specified direction.

DirectionMethodTypeNone 

Overcrown has no direction specified.

Represent surface modify method.

Enumerator
ModifyMethodTypeStretch 

By Surface stretch modify.

ModifyMethodTypeOvercrown 

By Surface overcrown modify.

Represents the offset method type.

Enumerator
OffsetMethodConstant 

Constant offset.

OffsetMethodLawControlled 

Law controlled.

OffsetMethodCurveDefined 

Curve interpolated.

Represents the point method type.

Enumerator
PointMethodTypeOffsetFromSheet 

Target point is offset from sheet.

PointMethodTypePointDefined 

Target point is the given point.

Represents radius options used.

Enumerator
RadiusTypeQuintic 

Quintic method.

A quintic curve is used to reduce the radius

RadiusTypeRadius 

Radius method.

A true arc with tangent lines at the ends is used to reduce radius. This should be used when you know that the input is an edge blend or face blend

Represents the rotation method type.

Enumerator
RotationMethodConstant 

Constant anlge rotation.

RotationMethodLawControlled 

Law controlled rotation.

RotationMethodCurveDefined 

Curve interpolated rotation.

Represents the rotation type.

Enumerator
RotationMethodTypeAngle 

Rotation specified by angle.

RotationMethodTypeDistance 

Rotation specified by distance.

Represents the orientation of the target curve(s) to the limit curves.

With parallel option you can specify only one law. With the perpendicular option, you can specify multiple laws.

Enumerator
TargetCurveOrientationTypeParallel 

Target curve is parallel to the limit curves.

TargetCurveOrientationTypePerpendicular 

Target curves are perpendicular to the limit curves.

Represents the transition method type.

Enumerator
TransitionTypeFunction1 

Tangent continuous transition.

TransitionTypeFunction2 

Position continuous transition.

TransitionTypeLaw 

Transition by law.

TransitionTypeG2 

g2 continuous

Member Function Documentation

double NXOpen::Features::GlobalShapingBuilder::AngleTolerance ( )

Returns the angle tolerance
Created in NX5.0.0.



License requirements : None

NXOpen::SelectNXObjectList* NXOpen::Features::GlobalShapingBuilder::AssociatedObjects ( )

Returns the objects to transform with the deformation
Created in NX7.5.0.



License requirements : None

NXOpen::Section* NXOpen::Features::GlobalShapingBuilder::BaseCurve ( )

Returns the base curve
Created in NX8.5.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::GlobalShapingBuilder::BaseSheetSelection ( )

Returns the base face selection
Created in NX8.5.0.



License requirements : None

NXOpen::Section* NXOpen::Features::GlobalShapingBuilder::BendCurve ( )

Returns the bend curve
Created in NX5.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::GlobalShapingBuilder::ControlCurve ( )

Returns the curve control
Created in NX8.5.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::GlobalShapingBuilder::ControlSheetSelection ( )

Returns the control face selection
Created in NX8.5.0.



License requirements : None

NXOpen::Features::GlobalShapingBuilder::DirectionMethodType NXOpen::Features::GlobalShapingBuilder::DeformationDirectionMethod ( )

Returns the deformation direction method
Created in NX5.0.0.



License requirements : None

bool NXOpen::Features::GlobalShapingBuilder::DeformationDirectionReverse ( )

Returns the deformation direction reverse
Created in NX5.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::GlobalShapingBuilder::DeformationDirectionVector ( )

Returns the deformation direction vector
Created in NX8.5.0.



License requirements : None

NXOpen::Features::GlobalShapingBuilder::DeformationTypeValues NXOpen::Features::GlobalShapingBuilder::DeformationType ( )

Returns the deformation type
Created in NX5.0.0.



License requirements : None

double NXOpen::Features::GlobalShapingBuilder::DistanceTolerance ( )

Returns the distance tolerance
Created in NX5.0.0.



License requirements : None

void NXOpen::Features::GlobalShapingBuilder::EnableMovePole ( bool  enable)

Enable move pole
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
enableenable
NXOpen::SelectDisplayableObjectList* NXOpen::Features::GlobalShapingBuilder::FacetToDeform ( )

Returns the facet to deform
Created in NX8.5.0.



License requirements : None

NXOpen::GeometricUtilities::FeatureOptions* NXOpen::Features::GlobalShapingBuilder::FeatureOptions ( )

Returns the feature options
Created in NX5.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::GlobalShapingBuilder::FirstRegionLimitCurve ( )

Returns the first region limit curve
Created in NX5.0.0.



License requirements : None

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::GlobalShapingBuilder::FirstRegionLimitCurveOffsetLaw ( )

Returns the region to deform offset law
Created in NX5.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::GlobalShapingBuilder::FirstRegionOffsetCurve ( )

Returns the first region offset curve
Created in NX5.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::GlobalShapingBuilder::FirstTargetCurve ( )

Returns the first target curve
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::GlobalShapingBuilder::FirstTargetCurveOffset ( )

Returns the first target curve offset
Created in NX5.0.0.



License requirements : None

bool NXOpen::Features::GlobalShapingBuilder::FlipBaseNormalDirection ( )

Returns the flip base normal direction
Created in NX8.5.0.



License requirements : None

bool NXOpen::Features::GlobalShapingBuilder::FlipBaseUDirection ( )

Returns the flip base udirection
Created in NX8.5.0.



License requirements : None

bool NXOpen::Features::GlobalShapingBuilder::FlipBaseVDirection ( )

Returns the flip base vdirection
Created in NX8.5.0.



License requirements : None

bool NXOpen::Features::GlobalShapingBuilder::FlipControlNormalDirection ( )

Returns the flip control normal direction
Created in NX8.5.0.



License requirements : None

bool NXOpen::Features::GlobalShapingBuilder::FlipControlUDirection ( )

Returns the flip control udirection
Created in NX8.5.0.



License requirements : None

bool NXOpen::Features::GlobalShapingBuilder::FlipControlVDirection ( )

Returns the flip control vdirection
Created in NX8.5.0.



License requirements : None

int NXOpen::Features::GlobalShapingBuilder::IterationCount ( )

Returns the maximum iterations count used for approximating the deformed sheet.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Features::GlobalShapingBuilder::KeepBaseLength ( )

Returns the equal arc length toggle
Created in NX8.5.0.



License requirements : None

bool NXOpen::Features::GlobalShapingBuilder::ModifyInputSheet ( )

Returns the modify input sheet
Created in NX5.0.0.



License requirements : None

NXOpen::Features::GlobalShapingBuilder::ModifyMethodType NXOpen::Features::GlobalShapingBuilder::ModifyMethod ( )

Returns the modify method
Created in NX8.5.0.



License requirements : None

NXOpen::GeometricUtilities::MovePoleBuilder* NXOpen::Features::GlobalShapingBuilder::MovePole ( )

Returns the move pole
Created in NX8.5.0.



License requirements : None

NXOpen::Features::GlobalShapingCurveOffsetBuilder* NXOpen::Features::GlobalShapingBuilder::NewTargetCurve ( )

Create a new target curve.

Returns

Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Features::GlobalShapingPointOffsetBuilder* NXOpen::Features::GlobalShapingBuilder::NewTargetPoint ( )

Create a new target point.

Returns

Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Direction* NXOpen::Features::GlobalShapingBuilder::ProjectionDirection ( )

Returns the projection direction
Created in NX5.0.0.



License requirements : None

NXOpen::Features::GlobalShapingBuilder::RadiusType NXOpen::Features::GlobalShapingBuilder::RadiusOptions ( )

Returns the radius options
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::GlobalShapingBuilder::RadiusReductionPercent ( )

Returns the radius reduction percent
Created in NX7.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::GlobalShapingBuilder::RegionEdgeCurve ( )

Returns the region edge curve
Created in NX5.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::GlobalShapingBuilder::RegionLimitCurve ( )

Returns the region limit curve
Created in NX5.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::GlobalShapingBuilder::RegionToDeform ( )

Returns the region to deform
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::GlobalShapingBuilder::RegionToDeformOffset ( )

Returns the region boundary offset
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::GlobalShapingBuilder::RotationAngle ( )

Returns the rotation angle value
Created in NX5.0.0.



License requirements : None

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::GlobalShapingBuilder::RotationAngleLaw ( )

Returns the rotation angle law
Created in NX5.0.0.



License requirements : None

bool NXOpen::Features::GlobalShapingBuilder::RotationAngleReverseDirection ( )

Returns the rotation angle reverse direction
Created in NX5.0.0.



License requirements : None

NXOpen::Features::GlobalShapingBuilder::RotationMethod NXOpen::Features::GlobalShapingBuilder::RotationAngleType ( )

Returns the rotation angle type
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::GlobalShapingBuilder::RotationDistance ( )

Returns the rotation distance value
Created in NX6.0.0.



License requirements : None

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::GlobalShapingBuilder::RotationDistanceLaw ( )

Returns the rotation distance law
Created in NX5.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::GlobalShapingBuilder::RotationTargetCurve ( )

Returns the rotation target curve
Created in NX6.0.0.



License requirements : None

NXOpen::Features::GlobalShapingBuilder::RotationMethodType NXOpen::Features::GlobalShapingBuilder::RotationType ( )

Returns the rotation type
Created in NX6.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::GlobalShapingBuilder::SecondRegionLimitCurve ( )

Returns the second region limit curve
Created in NX5.0.0.



License requirements : None

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::GlobalShapingBuilder::SecondRegionLimitCurveOffsetLaw ( )

Returns the second region limit curve offset law
Created in NX5.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::GlobalShapingBuilder::SecondRegionOffsetCurve ( )

Returns the second region offset curve
Created in NX5.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::GlobalShapingBuilder::SecondTargetCurve ( )

Returns the second target curve
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::GlobalShapingBuilder::SecondTargetCurveOffset ( )

Returns the second target curve offset
Created in NX5.0.0.



License requirements : None

void NXOpen::Features::GlobalShapingBuilder::SetAngleTolerance ( double  angleTolerance)

Sets the angle tolerance
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
angleToleranceangletolerance
void NXOpen::Features::GlobalShapingBuilder::SetBaseSheet ( NXOpen::Body baseSheet)

Base sheet
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
baseSheetbasesheet
void NXOpen::Features::GlobalShapingBuilder::SetControlSheet ( NXOpen::Body controlSheet)

Control sheet
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
controlSheetcontrolsheet
void NXOpen::Features::GlobalShapingBuilder::SetDeformationDirectionMethod ( NXOpen::Features::GlobalShapingBuilder::DirectionMethodType  deformationDirectionMethod)

Sets the deformation direction method
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
deformationDirectionMethoddeformationdirectionmethod
void NXOpen::Features::GlobalShapingBuilder::SetDeformationDirectionReverse ( bool  deformationDirectionReverse)

Sets the deformation direction reverse
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
deformationDirectionReversedeformationdirectionreverse
void NXOpen::Features::GlobalShapingBuilder::SetDeformationDirectionVector ( NXOpen::Direction deformationDirection)

Sets the deformation direction vector
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
deformationDirectiondeformationdirection
void NXOpen::Features::GlobalShapingBuilder::SetDeformationType ( NXOpen::Features::GlobalShapingBuilder::DeformationTypeValues  deformationType)

Sets the deformation type
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
deformationTypedeformationtype
void NXOpen::Features::GlobalShapingBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Features::GlobalShapingBuilder::SetFlipBaseNormalDirection ( bool  flipBaseNormalDirection)

Sets the flip base normal direction
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
flipBaseNormalDirectionflipbasenormaldirection
void NXOpen::Features::GlobalShapingBuilder::SetFlipBaseUDirection ( bool  flipBaseUDirection)

Sets the flip base udirection
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
flipBaseUDirectionflipbaseudirection
void NXOpen::Features::GlobalShapingBuilder::SetFlipBaseVDirection ( bool  flipBaseVDirection)

Sets the flip base vdirection
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
flipBaseVDirectionflipbasevdirection
void NXOpen::Features::GlobalShapingBuilder::SetFlipControlNormalDirection ( bool  flipControlNormalDirection)

Sets the flip control normal direction
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
flipControlNormalDirectionflipcontrolnormaldirection
void NXOpen::Features::GlobalShapingBuilder::SetFlipControlUDirection ( bool  flipControlUDirection)

Sets the flip control udirection
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
flipControlUDirectionflipcontroludirection
void NXOpen::Features::GlobalShapingBuilder::SetFlipControlVDirection ( bool  flipControlVDirection)

Sets the flip control vdirection
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
flipControlVDirectionflipcontrolvdirection
void NXOpen::Features::GlobalShapingBuilder::SetIterationCount ( int  iterationCount)

Sets the maximum iterations count used for approximating the deformed sheet.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
iterationCountiterationcount
void NXOpen::Features::GlobalShapingBuilder::SetKeepBaseLength ( bool  keepBaseLength)

Sets the equal arc length toggle
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
keepBaseLengthkeepbaselength
void NXOpen::Features::GlobalShapingBuilder::SetModifyInputSheet ( bool  modifyInputSheet)

Sets the modify input sheet
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
modifyInputSheetmodifyinputsheet
void NXOpen::Features::GlobalShapingBuilder::SetModifyMethod ( NXOpen::Features::GlobalShapingBuilder::ModifyMethodType  modifyMethod)

Sets the modify method
Created in NX8.5.0.



License requirements : None

Parameters
modifyMethodmodifymethod
void NXOpen::Features::GlobalShapingBuilder::SetProjectionDirection ( NXOpen::Direction projectionDirection)

Sets the projection direction
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
projectionDirectionprojectiondirection
void NXOpen::Features::GlobalShapingBuilder::SetRadiusOptions ( NXOpen::Features::GlobalShapingBuilder::RadiusType  radiusOptions)

Sets the radius options
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusOptionsradiusoptions
void NXOpen::Features::GlobalShapingBuilder::SetRegionToDeform ( NXOpen::Section regionToDeform)

Sets the region to deform
Created in NX5.0.0.



License requirements : None

Parameters
regionToDeformregiontodeform
void NXOpen::Features::GlobalShapingBuilder::SetRotationAngleReverseDirection ( bool  rotationAngleReverseDirection)

Sets the rotation angle reverse direction
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
rotationAngleReverseDirectionrotationanglereversedirection
void NXOpen::Features::GlobalShapingBuilder::SetRotationAngleType ( NXOpen::Features::GlobalShapingBuilder::RotationMethod  rotationAngleType)

Sets the rotation angle type
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
rotationAngleTyperotationangletype
void NXOpen::Features::GlobalShapingBuilder::SetRotationType ( NXOpen::Features::GlobalShapingBuilder::RotationMethodType  rotationType)

Sets the rotation type
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
rotationTyperotationtype
void NXOpen::Features::GlobalShapingBuilder::SetSheetToDeform ( NXOpen::ScCollector sheetToDeform)

Sets the sheet to deform
Created in NX5.0.0.



License requirements : None

Parameters
sheetToDeformsheettodeform
void NXOpen::Features::GlobalShapingBuilder::SetStretchDirection ( NXOpen::Direction stretchDirection)

Sets the stretch direction
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
stretchDirectionstretchdirection
void NXOpen::Features::GlobalShapingBuilder::SetTargetCurveOffsetType ( NXOpen::Features::GlobalShapingBuilder::OffsetMethod  targetCurveOffsetType)

Sets the target curve offset type
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
targetCurveOffsetTypetargetcurveoffsettype
void NXOpen::Features::GlobalShapingBuilder::SetTargetCurveOrientation ( NXOpen::Features::GlobalShapingBuilder::TargetCurveOrientationType  orientation)

Sets the orientation of the target curve to the limit curves.

Only used when deformation_type is NXOpen::Features::GlobalShapingBuilder::DeformationTypeValuesWallDeformation .
Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
orientationorientation
void NXOpen::Features::GlobalShapingBuilder::SetTargetPoint ( NXOpen::Point targetPoint)

Sets the target point
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
targetPointtargetpoint
void NXOpen::Features::GlobalShapingBuilder::SetTargetPointMethod ( NXOpen::Features::GlobalShapingBuilder::PointMethodType  targetPointMethod)

Sets the target point method
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
targetPointMethodtargetpointmethod
void NXOpen::Features::GlobalShapingBuilder::SetTransitionOptions ( NXOpen::Features::GlobalShapingBuilder::TransitionType  transitionOptions)

Sets the transition options
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
transitionOptionstransitionoptions
void NXOpen::Features::GlobalShapingBuilder::SetTransitionShapeControl ( double  transitionShapeControl)

Sets the transition shape control
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
transitionShapeControltransitionshapecontrol
void NXOpen::Features::GlobalShapingBuilder::SetTwistAngleReverseDirection ( bool  twistAngleReverseDirection)

Sets the twist angle reverse direction
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
twistAngleReverseDirectiontwistanglereversedirection
NXOpen::ScCollector* NXOpen::Features::GlobalShapingBuilder::SheetToDeform ( )

Returns the sheet to deform
Created in NX5.0.0.



License requirements : None

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::GlobalShapingBuilder::StartLocation ( )

Returns the start location of control curve
Created in NX8.5.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::GlobalShapingBuilder::StretchDirection ( )

Returns the stretch direction
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::GlobalShapingBuilder::TaperEnd ( )

Returns the taper end.

Distance at the end to apply the taper.
Created in NX7.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::GlobalShapingBuilder::TaperStart ( )

Returns the taper start.

Distance at the start to apply the taper.
Created in NX7.0.0.

License requirements : None

NXOpen::Section* NXOpen::Features::GlobalShapingBuilder::TargetCurve ( )

Returns the target curve
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::GlobalShapingBuilder::TargetCurveOffset ( )

Returns the target curve offset
Created in NX5.0.0.



License requirements : None

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::GlobalShapingBuilder::TargetCurveOffsetLaw ( )

Returns the target curve offset law
Created in NX5.0.0.



License requirements : None

NXOpen::Features::GlobalShapingBuilder::OffsetMethod NXOpen::Features::GlobalShapingBuilder::TargetCurveOffsetType ( )

Returns the target curve offset type
Created in NX5.0.0.



License requirements : None

NXOpen::Features::GlobalShapingBuilder::TargetCurveOrientationType NXOpen::Features::GlobalShapingBuilder::TargetCurveOrientation ( )

Returns the orientation of the target curve to the limit curves.

Only used when deformation_type is NXOpen::Features::GlobalShapingBuilder::DeformationTypeValuesWallDeformation .
Created in NX7.5.0.

License requirements : None

NXOpen::Features::GlobalShapingCurveOffsetBuilderList* NXOpen::Features::GlobalShapingBuilder::TargetCurvesList ( )

Returns the target curves list
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

NXOpen::Point* NXOpen::Features::GlobalShapingBuilder::TargetPoint ( )

Returns the target point
Created in NX5.0.0.



License requirements : None

NXOpen::Features::GlobalShapingBuilder::PointMethodType NXOpen::Features::GlobalShapingBuilder::TargetPointMethod ( )

Returns the target point method
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::GlobalShapingBuilder::TargetPointOffset ( )

Returns the target point offset
Created in NX5.0.0.



License requirements : None

NXOpen::Features::GlobalShapingPointOffsetBuilderList* NXOpen::Features::GlobalShapingBuilder::TargetPointsList ( )

Returns the target points list
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

NXOpen::ScCollector* NXOpen::Features::GlobalShapingBuilder::TargetSheet ( )

Returns the target sheet
Created in NX5.0.0.



License requirements : None

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::GlobalShapingBuilder::TransitionLaw ( )

Returns the transition law
Created in NX5.0.0.



License requirements : None

NXOpen::Features::GlobalShapingBuilder::TransitionType NXOpen::Features::GlobalShapingBuilder::TransitionOptions ( )

Returns the transition options
Created in NX5.0.0.



License requirements : None

double NXOpen::Features::GlobalShapingBuilder::TransitionShapeControl ( )

Returns the transition shape control
Created in NX5.0.0.



License requirements : None

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::GlobalShapingBuilder::TwistAngleLaw ( )

Returns the twist angle law
Created in NX8.5.0.



License requirements : None

bool NXOpen::Features::GlobalShapingBuilder::TwistAngleReverseDirection ( )

Returns the twist angle reverse direction
Created in NX8.5.0.



License requirements : None

void NXOpen::Features::GlobalShapingBuilder::UpdateDeformSheetType ( )

Enable move pole
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.